%{!?dist: %define dist .slc5}
Name: cern-get-sso-cookie
Version: 0.3.2
Release: 1%{?dist}
Summary: A script to get CERN SSO Authentication cookie for command line tools. 
Group: CERN/Utilities
Source0: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: perl >= 5.8.5
Requires: perl-Authen-Krb5 >= 1.5
Requires: perl-WWW-CERNSSO-Auth >= 0.1

%if "%{dist}" == ".slc5"
Requires: openssl-CERN-CA-certs >= 20100216-1.slc5
%else
Requires: CERN-CA-certs >= 20120322-7.slc6
Requires: ca-certificates >= 2010.63-3.el6_1.5
%endif

%description
cern-get-sso-cookie is a command line utility which allows to acquire CERN Single Sign On 
cookies using Kerberos credentials or User certificates for later use with 
command line utilities alike curl, wget and other.

%package -n perl-WWW-CERNSSO-Auth
Summary: Perl extension interface for CERN SSO
Group: Development/Libraries

Requires: perl >= 5.8.5
Requires: perl-WWW-Curl >= 4.09

Provides: perl-WWW-CERNSSO-Auth  = %{version}



%description -n perl-WWW-CERNSSO-Auth
perl-WWW-CERNSSO-Auth (WWW::CERNSSO::Auth) provides perl extension interface for 
CERN Single Sign On system.

%prep

%setup

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT/

%if "%{dist}" == ".slc5"
make install DESTDIR=$RPM_BUILD_ROOT/ PERLLIBDIR=/usr/lib/perl5/vendor_perl
%else
make install DESTDIR=$RPM_BUILD_ROOT/ PERLLIBDIR=/usr/share/perl5/vendor_perl
%endif
%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-, root, root)
/usr/bin/cern-get-sso-cookie
/usr/share/man/man3/cern-get-sso-cookie.*

%files -n perl-WWW-CERNSSO-Auth
%if "%{dist}" == ".slc5"
/usr/lib/perl5/vendor_perl/WWW/CERNSSO/Auth.pm
%else
/usr/share/perl5/vendor_perl/WWW/CERNSSO/Auth.pm
%endif
/usr/share/man/man3/WWW::CERNSSO::Auth.*

%changelog
* Tue Jul 10 2012   Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.2-6
- spec file fixes.

* Mon Jul  9 2012   Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.2-1
- added missing constants for SLC5

* Fri Jul  6 2012   Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.1-1
- initial release.
